phython运行ride.py时报错

phython运行ride.py报如下错,求大佬看下是什么问题哇,感谢了

Traceback (most recent call last):
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\application.py", line 59, in OnInit
self._plugin_loader.enable_plugins()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginloader.py", line 43, in enable_plugins
p.enable_on_startup()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginconnector.py", line 52, in enable_on_startup
self.enable()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginconnector.py", line 57, in enable
self._plugin.enable()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 162, in enable
self._build_ui()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 558, in _build_ui
self._build_notebook_tab()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 734, in _build_notebook_tab
self.out = self._create_output_textctrl()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 769, in _create_output_textctrl
font = self._create_font()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 789, in _create_font
font=wx.SystemSettings.GetFont(wx.SYS_ANSI_FIXED_FONT)
wx._core.wxAssertionError: C++ assertion "wxFontEnumerator::IsValidFacename(font.GetFaceName())" failed at ....\src\msw\settings.cpp(301) in wxSystemSettingsNative::GetFont():
OnInit returned false, exiting...
Error in atexit._run_exitfuncs:
wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ....\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed

2个回答

这个问题也没有大佬看下的呢,十分感谢啦!

q463643865
like sunshine 回复qq_34901288: 这个问题解决了,按照楼下的老哥解答了之后,后面我报错了,然后又修改了Python37\Lib\site-packages\robotide\application下的application.py下的第123行和124行的格式为gbk然后就可以了
一年多之前 回复
q463643865
like sunshine 回复qq_34901288: 看楼下,操作后这个报错没有了,但是还有另外一个错,正在继续询问中
一年多之前 回复
qq_34901288
qq_34901288 回复like sunshine: 介意留个qq嘛?解决了的话可以互相帮助
一年多之前 回复
qq_34901288
qq_34901288 回复like sunshine: 一开始我以为是C++环境问题,装了VS还是不行,心累
一年多之前 回复
q463643865
like sunshine 回复qq_34901288: 还没有,比较坑啊
一年多之前 回复
qq_34901288
qq_34901288 你好,请问解决了吗
一年多之前 回复

这个需要更改testrunnerplugin.py中的_create_font的字体参数,更改后就可以正常启动RIDE的UI了,具体信息可看看我的博文:
python笔记5--python3.6 安装robotframework及wxSystemSettingsNative错误

https://blog.csdn.net/u011127242/article/details/88864476

q463643865
like sunshine 老哥,谢谢你哈,我这个问题现在已经解决了,十分感谢了,可惜没有C币啊,捂脸
一年多之前 回复
q463643865
like sunshine 大神你好,按照你的操作后现在报其他的错了Traceback (most recent call last): File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\application.py", line 65, in OnInit self._find_robot_installation() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\application.py", line 124, in _find_robot_installation str(os.path.dirname(rf_file), 'utf-8'))).publish() UnicodeDecodeError: 'utf-8' codec can't decode byte 0xc0 in position 9: invalid start byte OnInit returned false, exiting... Error in atexit._run_exitfuncs: wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ..\..\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed
一年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Python运行ride.py报错

各位大佬,小白请教一个问题,我在cmd命令下运行ride.py的时候报如下错,能否帮忙看下,小白谢谢各位大佬了~! E:\Python27\Scripts>python ride.py Traceback (most recent call last): File "E:\Python27\lib\site-packages\robotide\__init__.py", line 83, in main _run(inpath, not noupdatecheck, debug_console) File "E:\Python27\lib\site-packages\robotide\__init__.py", line 102, in _run from robotide.application import RIDE File "E:\Python27\lib\site-packages\robotide\application\__init__.py", line 16, in <module> from .application import RIDE, Project File "E:\Python27\lib\site-packages\robotide\application\application.py", line 22, in <module> from robotide.namespace import Namespace File "E:\Python27\lib\site-packages\robotide\namespace\__init__.py", line 16, in <module> from .namespace import Namespace File "E:\Python27\lib\site-packages\robotide\namespace\namespace.py", line 31, in <module> from robotide.publish import PUBLISHER, RideSettingsChanged, RideLogMessage File "E:\Python27\lib\site-packages\robotide\publish\__init__.py", line 123, in <module> from .messages import * File "E:\Python27\lib\site-packages\robotide\publish\messages.py", line 21, in <module> from .messages2 import * File "E:\Python27\lib\site-packages\robotide\publish\messages2.py", line 24, in <module> from robotide.publish import publisher File "E:\Python27\lib\site-packages\robotide\publish\publisher.py", line 24, in <module> from pubsub import pub ImportError: cannot import name pub

python运行ride.py报错wxAssertionError

这个问题再发一次,麻烦各位大佬帮忙看下呢,十分感谢啦! 报错内容如下,十分感谢各位大佬! Traceback (most recent call last): File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\application.py", line 59, in OnInit self._plugin_loader.enable_plugins() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginloader.py", line 43, in enable_plugins p.enable_on_startup() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginconnector.py", line 52, in enable_on_startup self.enable() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginconnector.py", line 57, in enable self._plugin.enable() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 162, in enable self._build_ui() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 558, in _build_ui self._build_notebook_tab() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 734, in _build_notebook_tab self.out = self._create_output_textctrl() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 769, in _create_output_textctrl font = self._create_font() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 789, in _create_font font=wx.SystemSettings.GetFont(wx.SYS_ANSI_FIXED_FONT) wx._core.wxAssertionError: C++ assertion "wxFontEnumerator::IsValidFacename(font.GetFaceName())" failed at ....\src\msw\settings.cpp(301) in wxSystemSettingsNative::GetFont(): OnInit returned false, exiting... Error in atexit._run_exitfuncs: wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ....\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed

windows安装python3.7.7启动ride.py报错

python3.7.7启动ride.py 本机版本信息如下,所有版本都是64位 ![图片说明](https://img-ask.csdn.net/upload/202003/20/1584673323_782069.png) 启动ride.py时,报错如下: ![图片说明](https://img-ask.csdn.net/upload/202003/20/1584673393_604128.png) 请教各位大佬,如何解决 答友提说说使用命令python ride.py,执行结果无响应 ![图片说明](https://img-ask.csdn.net/upload/202003/20/1584680606_497638.png)

Windows命令行启动ride.py报错。

Win10,64位,Python版本3.8.1, pip 19.3.1 Pypubsub 4.0.3 pywin32 227 requests 2.22.0 robotframework 3.1.2 robotframework-ride 1.7.4 setuptools 41.2.0 wxPython 4.1.0a1.dev4523+46bae17a 出现的情况是:用命令行python ride.py启动就如图报错; 直接双击ride.py会有一个空白的命令行窗口闪一下,然后就没反应了。 这个报错图上面还有蛮长的一段,内容都是<class 'robotide.preferences.configobj.UnreprError'> Parse error in value at lineXX这种。 ![图片说明](https://img-ask.csdn.net/upload/202001/12/1578762599_139263.png) 还请大佬能为我答疑解惑。

·Robotframework」运行ride.py 报错 麻烦大神们看一下!

环境:Ubuntu 16.04 折腾了好久pip install robotframework-ride 才成功 运行ride.py又又又报错了 心累 麻烦各位帮我看看 指点迷津 ``` pip install robotframework-ride 提示 Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple Requirement already satisfied: robotframework-ride in /usr/local/lib/python2.7/dist-packages (1.7.4b1.dev1) Requirement already satisfied: wxPython in /usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode (from robotframework-ride) (2.8.12.1) Requirement already satisfied: PyPubSub in /usr/local/lib/python2.7/dist-packages (from robotframework-ride) (3.3.0) Requirement already satisfied: Pygments in /usr/local/lib/python2.7/dist-packages (from robotframework-ride) (2.4.2 ``` ``` ride.py后 ``` ![图片说明](https://img-ask.csdn.net/upload/201907/18/1563447987_206124.png) 报错:Traceback (most recent call last): File "/usr/local/lib/python2.7/dist-packages/robotide/__init__.py", line 83, in main _run(inpath, not noupdatecheck, debug_console) File "/usr/local/lib/python2.7/dist-packages/robotide/__init__.py", line 112, in _run ride = RIDE(inpath, updatecheck) File "/usr/local/lib/python2.7/dist-packages/robotide/application/application.py", line 45, in __init__ wx.App.__init__(self, redirect=False) File "/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7981, in __init__ self._BootstrapApp() File "/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7555, in _BootstrapApp return _core_.PyApp__BootstrapApp(*args, **kwargs) File "/usr/local/lib/python2.7/dist-packages/robotide/application/application.py", line 55, in OnInit self.frame = RideFrame(self, self._controller) File "/usr/local/lib/python2.7/dist-packages/robotide/ui/mainframe.py", line 173, in __init__ self.Bind(wx.EVT_DIRCTRL_FILEACTIVATED, self.OnOpenFile) AttributeError: 'module' object has no attribute 'EVT_DIRCTRL_FILEACTIVATED' 麻烦各位了!!非常感谢!!

python运行main.py报错

python3运行项目的main.py是报错提示系统找不到指定的路径

安装完robotframework-ride之后运行ride.py报错,救救孩子吧!!!我试了好几个方法都失败

Traceback (most recent call last): File "C:\Python27\lib\site-packages\robotide\application\application.py", line 59, in OnInit self._plugin_loader.enable_plugins() File "C:\Python27\lib\site-packages\robotide\application\pluginloader.py", line 43, in enable_plugins p.enable_on_startup() File "C:\Python27\lib\site-packages\robotide\application\pluginconnector.py", line 52, in enable_on_startup self.enable() File "C:\Python27\lib\site-packages\robotide\application\pluginconnector.py", line 57, in enable self._plugin.enable() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 162, in enable self._build_ui() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 558, in _build_ui self._build_notebook_tab() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 734, in _build_notebook_tab self.out = self._create_output_textctrl() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 769, in _create_output_textctrl font = self._create_font() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 789, in _create_font font=wx.SystemSettings.GetFont(wx.ANSI_FIXED_FONT) AttributeError: 'module' object has no attribute 'ANSI_FIXED_FONT' OnInit returned false, exiting... Error in atexit._run_exitfuncs: Traceback (most recent call last): File "C:\Python27\lib\atexit.py", line 24, in _run_exitfuncs func(*targs, **kargs) wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ..\..\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed Error in sys.exitfunc: Traceback (most recent call last): File "C:\Python27\lib\atexit.py", line 24, in _run_exitfuncs func(*targs, **kargs) wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ..\..\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed

robotframework安装完成,点击ride.py弹出俩个框怎么解决?

![点击ride.py,会运行python.exe和ride.py,并且二次点击的时候报错如下,只想要ride界面怎么解决](https://img-ask.csdn.net/upload/201811/23/1542987790_115853.png)

Python用setup.py安装没有反应

setuptools已经装好了,也切换到了对应的目录,但是输入python setup.py install没有反应,先输入python setup.py build也没有反应 ![图片说明](https://img-ask.csdn.net/upload/202002/03/1580711142_396111.png) setuptools已经安装![图片说明](https://img-ask.csdn.net/upload/202002/03/1580715630_624420.png)

mac pro环境下:运行python manage.py runserver命令,什么提示都没有

1.运行环境:mac 2.版本 django 1.8 3.运行python manage.py runserver 0.0.0.0:8888或python manage.py runserver 都 没有任何提示 4.在浏览器中输入:127.0.0.1:8888提示打开失败 不知道是什么原因

如何在服务器中一直运行python manage.py runserver 这条命令

完成了一个django的项目,放在阿里云服务器上,用xshell连接,无奈nginx +uwsgi +django部署不会,只能使用最基本的python manage.py runserver跑起来,网站访问正常,但是我一关闭xshell,命令马上就不执行了,我的网站也马上就访问不了了,现在想请问如何让我在关闭xshell的时候,该命令仍然可以在我的项目目录下运行从而使我的网站可以在任何时候都可以访问。

执行python manage.py migrate命令有问题

我在windows系统搭建了开发环境,使用的是pytohn2.7版本,在本地开发环境验证测试,执行python manage.py migrate命令有问题: 我在这个位置执行的命令: ![图片说明](https://img-ask.csdn.net/upload/201912/16/1576467780_425609.png) 报错如下: ![图片说明](https://img-ask.csdn.net/upload/201912/16/1576467889_633346.png) D:\python2.7\python2.7\Lib\site-packages\django\conf\project_template>python manage.py migrate Traceback (most recent call last): File "manage.py", line 10, in <module> execute_from_command_line(sys.argv) File "D:\python2.7\python2.7\lib\site-packages\django\core\management\__init__.py", line 338, in execute_from_command_line utility.execute() File "D:\python2.7\python2.7\lib\site-packages\django\core\management\__init__.py", line 303, in execute settings.INSTALLED_APPS File "D:\python2.7\python2.7\lib\site-packages\django\conf\__init__.py", line 48, in __getattr__ self._setup(name) File "D:\python2.7\python2.7\lib\site-packages\django\conf\__init__.py", line 44, in _setup self._wrapped = Settings(settings_module) File "D:\python2.7\python2.7\lib\site-packages\django\conf\__init__.py", line 92, in __init__ mod = importlib.import_module(self.SETTINGS_MODULE) File "D:\python2.7\python2.7\lib\importlib\__init__.py", line 37, in import_module __import__(name) ImportError: No module named {{ project_name }}.settings 求大神指教,是我执行的目录位置有问题吗?

django中创建表python manage.py makemigrations出现以下错误 ,望大神指导

![图片说明](https://img-ask.csdn.net/up load/201812/05/1544007099_480215.jpg) ![图片说明](https://img-ask.csdn.net/upload/201812/05/1544012043_872565.jpg) C:\Users\Administrator\PycharmProjects\mysite>python manage.py makemigrations Traceback (most recent call last): File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 216, in ensure_connection self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 194, in connect self.connection = self.get_new_connection(conn_params) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\mysql\base.py", line 227, in get_new_connection return Database.connect(**conn_params) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\__init__. py", line 94, in Connect return Connection(*args, **kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 327, in __init__ self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 598, in connect self._request_authentication() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 873, in _request_authentication auth_packet = _auth.caching_sha2_password_auth(self, auth_packet) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\_auth.py" , line 253, in caching_sha2_password_auth pkt = _roundtrip(conn, data) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\_auth.py" , line 112, in _roundtrip pkt = conn._read_packet() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 683, in _read_packet packet.check_error() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\protocol. py", line 220, in check_error err.raise_mysql_exception(self._data) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\err.py", line 109, in raise_mysql_exception raise errorclass(errno, errval) pymysql.err.OperationalError: (1045, "Access denied for user 'root'@'localhost' (using password: YES)") The above exception was the direct cause of the following exception: Traceback (most recent call last): File "manage.py", line 15, in <module> execute_from_command_line(sys.argv) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\__init__.py", line 381, in execute_from_command_line utility.execute() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\__init__.py", line 375, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\base.py", line 316, in run_from_argv self.execute(*args, **cmd_options) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\base.py", line 353, in execute output = self.handle(*args, **options) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\base.py", line 83, in wrapped res = handle_func(*args, **kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\commands\makemigrations.py", line 103, in handle loader.check_consistent_history(connection) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\migrati ons\loader.py", line 281, in check_consistent_history applied = recorder.applied_migrations() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\migrati ons\recorder.py", line 61, in applied_migrations if self.has_table(): File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\migrati ons\recorder.py", line 44, in has_table return self.Migration._meta.db_table in self.connection.introspection.table_names(self.connection.cur sor()) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 255, in cursor return self._cursor() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 232, in _cursor self.ensure_connection() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 216, in ensure_connection self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\utils.p y", line 89, in __exit__ raise dj_exc_value.with_traceback(traceback) from exc_value File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 216, in ensure_connection self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 194, in connect self.connection = self.get_new_connection(conn_params) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\mysql\base.py", line 227, in get_new_connection return Database.connect(**conn_params) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\__init__. py", line 94, in Connect return Connection(*args, **kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 327, in __init__ self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 598, in connect self._request_authentication() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 873, in _request_authentication auth_packet = _auth.caching_sha2_password_auth(self, auth_packet) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\_auth.py" , line 253, in caching_sha2_password_auth pkt = _roundtrip(conn, data) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\_auth.py" , line 112, in _roundtrip pkt = conn._read_packet() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 683, in _read_packet packet.check_error() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\protocol. py", line 220, in check_error err.raise_mysql_exception(self._data) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\err.py", line 109, in raise_mysql_exception raise errorclass(errno, errval) django.db.utils.OperationalError: (1045, "Access denied for user 'root'@'localhost' (using password: YES) ")

如何用python setup.py打包多个.py文件到同一个包下面

网上提供的一个最简单的例子是:只有一个test.py需要打包时 在setup.py中写上如下内容: # coding: utf-8 from distutils.core import setup setup(name="MyTest", version="1.0", description="test", author="ChaoMa", author_email="1277859938@qq.com", url="http://127.0.0.1:8080/educationma/search", py_modules=["test"], ) 我现在test.py和hello.py都需要打包到同一个包下面,那么setup.py应该怎么写呢?

使用python的ghost.py一直报错

Traceback (most recent call last): File "D:\python33\lib\logging\__init__.py", line 939, in emit msg = self.format(record) File "D:\python33\lib\logging\__init__.py", line 810, in format return fmt.format(record) File "D:\python33\lib\logging\__init__.py", line 550, in format record.asctime = self.formatTime(record, self.datefmt) File "D:\python33\lib\logging\__init__.py", line 488, in formatTime s = time.strftime(datefmt, ct) ValueError: Invalid format string Logged from file ghost.py, line 115 Traceback (most recent call last): File "D:\python33\lib\logging\__init__.py", line 939, in emit msg = self.format(record) File "D:\python33\lib\logging\__init__.py", line 810, in format return fmt.format(record) File "D:\python33\lib\logging\__init__.py", line 550, in format record.asctime = self.formatTime(record, self.datefmt) File "D:\python33\lib\logging\__init__.py", line 488, in formatTime s = time.strftime(datefmt, ct) ValueError: Invalid format string Logged from file ghost.py, line 115

关于django执行python manage.py syncdb命令却缺少自己所需要建的models.py内的表

在django项目中的settings.py文件中的_app代码,数据库没问题,可以连接上,但是:python manage.py syncdb命令却无法生成自己models.py内所定义的实体类表。 INSTALLED_APPS = ( 'django.contrib.admin', 'django.contrib.auth', 'django.contrib.contenttypes', 'django.contrib.sessions', 'django.contrib.messages', 'django.contrib.staticfiles', 'west', ) models.py内的代码 from django.db import models class Employee(models.Model): name = models.CharField(max_length=200) 谁能帮我看看这是怎么回事,查了很多资料还是无法解决。

执行python setup.py build的时候出现的错误 请问怎么回事???

问题详情: ![这是在执行python setup.py build的时候出现的](https://img-ask.csdn.net/upload/201901/26/1548481629_759605.png) 请问怎么回事???

windows下Django运行python manage.py runserver时报错LookupError: No installed app with label 'admin'.

Pycharm用Django框架时想连接远程数据库,但是在运行服务器时python manage.py runserver显示LookupError: No installed app with label 'admin'.

训练模型前运行train.py报错?

感谢各位大佬!!!! 经历重重困难,终于走带最后一步,结果却还是卡在了这里,话不多说,上图。 ![图片说明](https://img-ask.csdn.net/upload/201908/01/1564625533_691952.png) 这个问题已经是第二次了,在我使用generate——tfrecord.py时也出现过类型的错误,因为但是还是生成了.record文件,就没有去管它,现在好像不行了。

YOLOv3目标检测实战:训练自己的数据集

YOLOv3目标检测实战:训练自己的数据集

150讲轻松搞定Python网络爬虫

150讲轻松搞定Python网络爬虫

实用主义学Python(小白也容易上手的Python实用案例)

实用主义学Python(小白也容易上手的Python实用案例)

我说我不会算法,阿里把我挂了。

不说了,字节跳动也反手把我挂了。

立方体线框模型透视投影 (计算机图形学实验)

计算机图形学实验 立方体线框模型透视投影 的可执行文件,亲测可运行,若需报告可以联系我,期待和各位交流

2019 AI开发者大会

2019 AI开发者大会

组成原理课程设计(实现机器数的真值还原等功能)

实现机器数的真值还原(定点小数)、定点小数的单符号位补码加减运算、定点小数的补码乘法运算和浮点数的加减运算。

C/C++跨平台研发从基础到高阶实战系列套餐

一 专题从基础的C语言核心到c++ 和stl完成基础强化; 二 再到数据结构,设计模式完成专业计算机技能强化; 三 通过跨平台网络编程,linux编程,qt界面编程,mfc编程,windows编程,c++与lua联合编程来完成应用强化 四 最后通过基于ffmpeg的音视频播放器,直播推流,屏幕录像,

MFC一站式终极全套课程包

该套餐共包含从C小白到C++到MFC的全部课程,整套学下来绝对成为一名C++大牛!!!

软件测试2小时入门

软件测试2小时入门

三个项目玩转深度学习(附1G源码)

三个项目玩转深度学习(附1G源码)

计算机图形学-球的光照模型课程设计

计算机图形学-球的光照模型,有代码完美运行,有课程设计书

Linux常用命令大全(非常全!!!)

Linux常用命令大全(非常全!!!) 最近都在和Linux打交道,感觉还不错。我觉得Linux相比windows比较麻烦的就是很多东西都要用命令来控制,当然,这也是很多人喜欢linux的原因,比较短小但却功能强大。我将我了解到的命令列举一下,仅供大家参考: 系统信息 arch 显示机器的处理器架构 uname -m 显示机器的处理器架构 uname -r 显示正在使用的内核版本 d...

因为看了这些书,我大二就拿了华为Offer

四年了,四年,你知道大学这四年我怎么过的么?

深度学习原理+项目实战+算法详解+主流框架(套餐)

深度学习系列课程从深度学习基础知识点开始讲解一步步进入神经网络的世界再到卷积和递归神经网络,详解各大经典网络架构。实战部分选择当下最火爆深度学习框架PyTorch与Tensorflow/Keras,全程实战演示框架核心使用与建模方法。项目实战部分选择计算机视觉与自然语言处理领域经典项目,从零开始详解算法原理,debug模式逐行代码解读。适合准备就业和转行的同学们加入学习! 建议按照下列课程顺序来进行学习 (1)掌握深度学习必备经典网络架构 (2)深度框架实战方法 (3)计算机视觉与自然语言处理项目实战。(按照课程排列顺序即可)

fakeLocation13.5.1.zip

fakeLocation13.5.1 虚拟定位 ios13.5.1的最新驱动下载,iPhone/iPad免越狱虚拟定位工具Location-cleaned驱动已更新

UnityLicence

UnityLicence

Python可以这样学(第一季:Python内功修炼)

Python可以这样学(第一季:Python内功修炼)

Python+OpenCV计算机视觉

Python+OpenCV计算机视觉

土豆浏览器

土豆浏览器可以用来看各种搞笑、电影、电视剧视频

【数据结构与算法综合实验】欢乐连连看(C++ & MFC)案例

这是武汉理工大学计算机学院数据结构与算法综合实验课程的第三次项目:欢乐连连看(C++ & MFC)迭代开发代码。运行环境:VS2017。已经实现功能:开始游戏、消子、判断胜负、提示、重排、计时、帮助。

php+mysql学生成绩管理系统

学生成绩管理系统,分三个模块:学生,教师和管理员。 管理员模块:负责学生、老师信息的增删改;发布课程信息的增删改,以便让学生选课;审核老师提交的学生成绩并且打印成绩存档;按照课号查询每个课号的学生成绩

多功能数字钟.zip

利用数字电子计数知识设计并制作的数字电子钟(含multisim仿真),该数字钟具有显示星期、24小时制时间、闹铃、整点报时、时间校准功能

推荐24个国外黄色网站欣赏

在中国清朝,明黄色的衣服只有皇子才有资格穿,慢慢的黄色在中国就成了高贵的颜色。在人们的色彩印象中,黄色也表现为暂停。所以当你的网页设计采用黄色的时候,会让人们在你的网页前停留。 黄色,就像橙色和红色,黄色也是一个暖色。它有大自然、阳光、春天的涵义,而且通常被认为是一个快乐和有希望的色彩。黄色是所有色相中最能发光的颜色,给人轻快,透明,辉煌,充满希望的色彩印象。 黄色是一个高可见的色...

u-boot-2015.07.tar.bz2

uboot-2015-07最新代码,喜欢的朋友请拿去

一学即懂的计算机视觉(第一季)

一学即懂的计算机视觉(第一季)

学生成绩管理系统(PHP + MYSQL)

做的是数据库课程设计,使用的php + MySQL,本来是黄金搭配也就没啥说的,推荐使用wamp服务器,里面有详细的使用说明,带有界面的啊!呵呵 不行的话,可以给我留言!

Windows版YOLOv4目标检测实战:训练自己的数据集

Windows版YOLOv4目标检测实战:训练自己的数据集

C++语言基础视频教程

C++语言基础视频教程

玩转Python-Python3基础入门

玩转Python-Python3基础入门

相关热词 c#跨线程停止timer c#批量写入sql数据库 c# 自动安装浏览器 c#语言基础考试题 c# 偏移量打印是什么 c# 绘制曲线图 c#框体中的退出函数 c# 按钮透明背景 c# idl 混编出错 c#在位置0处没有任何行
立即提问